Skip to main content
PATCH
/
user
/
practice
/
sessions
/
{session_id}
/
settings
세션 settings 수정(style/generation/few-shot 선택)
curl --request PATCH \
  --url https://api.example.com/user/practice/sessions/{session_id}/settings \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "style_preset": "accurate",
  "style_params": {},
  "generation_params": {
    "temperature": 1,
    "top_p": 0.5,
    "response_length_preset": "short",
    "max_completion_tokens": 2,
    "max_tokens": 2
  },
  "few_shot_example_ids": [
    123
  ]
}
'
{
  "setting_id": 123,
  "session_id": 123,
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "style_preset": "accurate",
  "style_params": {},
  "generation_params": {},
  "agent_snapshot": {},
  "few_shot_links": [
    {
      "id": 123,
      "setting_id": 123,
      "example_id": 123,
      "sort_order": 123,
      "created_at": "2023-11-07T05:31:56Z",
      "example": {
        "example_id": 123,
        "user_id": 123,
        "input_text": "<string>",
        "output_text": "<string>",
        "is_active": true,
        "created_at": "2023-11-07T05:31:56Z",
        "updated_at": "2023-11-07T05:31:56Z",
        "title": "<string>",
        "meta": {}
      }
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

session_id
integer
required
Required range: x >= 1

Body

application/json
style_preset
enum<string> | null
Available options:
accurate,
balanced,
creative,
custom
style_params
Style Params · object
generation_params
GenerationParams · object
few_shot_example_ids
integer[] | null

Response

Successful Response

setting_id
integer
required
session_id
integer
required
created_at
string<date-time>
required
updated_at
string<date-time>
required
style_preset
enum<string> | null
Available options:
accurate,
balanced,
creative,
custom
style_params
Style Params · object
generation_params
Generation Params · object
agent_snapshot
Agent Snapshot · object